<?php
namespace WHMCS\Module\Addon\ProxyCheap\Commands;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;
class OrderConfiguration extends AbstractCommand
{
    public function get()
    {
        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('order/configuration', ['serviceType' => 'PROXY_RESIDENTIAL_STATIC']);
        return $request;
    }

    public function post()
    {
        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('order/configuration', $this->input);

        return $request;
    }
}